
/**
 * InputSearch
 * @author tianyanrong
 */
import React, { Component } from 'react';
import { DatePicker, Form } from 'antd';
const { MonthPicker, TimePicker} = DatePicker;
import moment from 'dayjs';

class InputSearch extends Component {
  onChange = (date, dateString) => {

    const {param = {}} = this.props;
    if(param.onChange && typeof param.onChange === 'function') {
      param.onChange(dateString);
    }
  }
  render() {
    const {
      label,
      mode,
      format,
      minDate,
      maxDate,
      minMonth,
      maxMonth,
      param = {},
      className,
      style,
      picker,
      ...rest
    } = this.props;
    let newFormat = format;
    if(picker === 'month') {
      newFormat = 'YYYY-MM';
    }else if(picker === 'year') {
      newFormat = 'YYYY';
    }

    const currProps = {
      ...(label ? {} : {
        className: className || '',
        style: style || {},
        value: param.value ? moment(param.value, newFormat) : '',
        onChange: this.onChange,
      }),
      
      
      
      // disabledDate: (current) => {
      //   if(mode === 'month') {
      //     return (minMonth && current <= moment().add(Number(`-${minMonth}`) + 1, 'month')) || (maxMonth && current > moment().add(Number(`${maxMonth}`), 'month'));
      //   }
      //   else {
      //     return (minDate && current <= moment().add(Number(`-${minDate}`) + 1, 'day')) || (maxDate && current > moment().add(Number(`${maxDate}`), 'day'));
      //   }
      // },
      ...(rest.placeholder ? {
        placeholder: rest.placeholder,
      } : {}),
      ...(newFormat ? {
        format: newFormat,
      } : {}),
      ...(rest.showTime ? {
        showTime: rest.showTime,
      } : {}),
      ...(rest.autoFocus ? {
        autoFocus: rest.autoFocus,
      } : {}),
      ...(rest.size ? {
        size: rest.size,
      } : {}),
      ...(rest.disabled ? {
        disabled: rest.disabled,
      } : {}),
    }

    const content = picker === 'time' ?
      <TimePicker {...currProps} /> :
      <DatePicker {...(picker ? {picker: picker} : {})} {...currProps}/>;

    return label ? <Form.Item
      className={className}
      style={style}
      {...(param.name ? {
        name: param.name,
      } : {})}
      label={label}
      initialValue={param.value || ''}
      onChange={this.onChange}
      rules={param.rules}
    >
    {content}
  </Form.Item> : content
  }
}
export default InputSearch;


