export default {
  name: '日期选择器',
  propsOptions: [
    {
      name: 'param',
      label: '筛选',
      description: '',
      type: 'param',
    },
    {
      name: 'label',
      label: '标签',
      type: 'label',
      value: '',
    },
    {
      name: 'placeholder',
      label: '提示文字',
      description: '',
      type: 'string',
    },
    {
      name: 'picker',
      label: '选择器类型',
      description: '',
      type: 'select',
      value: '',
      selectOptions: [
        {
          label: '',
          value: 'date',
        },
        {
          label: 'time',
          value: 'time',
        },
        {
          label: 'week',
          value: 'week',
        },
        {
          label: 'month',
          value: 'month',
        },
        {
          label: 'quarter',
          value: 'quarter',
        },
        {
          label: 'year',
          value: 'year',
        }
      ],
    },
    {
      name: 'showTime',
      label: '显示时间',
      description: '',
      type: 'boolean',
      isShowItem: '!props.picker'
    },
    {
      name: 'format',
      label: '日期格式',
      type: 'select',
      value: '',
      isShowItem: '!props.picker || props.picker === "time"',
      isAddOption: true,
      selectOptions: [
        {
          label: '',
          value: '不设置',
        },
        {
          label: 'YYYY-MM-DD',
          value: 'YYYY-MM-DD',
        },
        {
          label: 'YYYY-MM-DD HH',
          value: 'YYYY-MM-DD HH',
        },
        {
          label: 'YYYY-MM-DD HH:mm',
          value: 'YYYY-MM-DD HH:mm',
        },
        {
          label: 'YYYY-MM-DD HH:mm:ss',
          value: 'YYYY-MM-DD HH:mm:ss',
        },
        {
          label: 'HH',
          value: 'HH',
        },
        {
          label: 'HH:mm',
          value: 'HH:mm',
        },
        {
          label: 'HH:mm:ss',
          value: 'HH:mm:ss',
        }
      ]
    },
    {
      name: 'autoFocus',
      label: '自动焦点',
      description: '',
      type: 'boolean',
    },
    {
      name: 'size',
      label: '控件大小',
      description: '',
      type: 'select',
      value: '',
      selectOptions: [
        {
          label: 'default',
          value: '',
        },
        {
          label: 'small',
          value: 'small',
        },
        {
          label: 'large',
          value: 'large',
        },
      ],
    },
    {
      name: 'disabled',
      label: '禁用',
      description: '',
      type: 'boolean',
    },

    {
      name: 'minDate',
      label: '最早可选日期',
      description: '',
      type: 'number',
      value: '',
      numberProps: {
        step: 1,
        min: 0,
        unit: '天',
        before: '距明日'
      },
      isShowItem: '!props.picker || props.picker === "date" || props.picker === "dateTime"',
    },
    {
      name: 'maxDate',
      label: '最晚可选日期',
      description: '',
      type: 'number',
      value: '',
      numberProps: {
        step: 1,
        min: 0,
        unit: '天',
        before: '距当日'
      },
      isShowItem: '!props.picker || props.picker === "date" || props.picker === "dateTime"',
    },
    {
      name: 'minMonth',
      label: '最早可选月份',
      description: '',
      type: 'number',
      value: '',
      numberProps: {
        step: 1,
        min: 0,
        unit: '月',
        before: '距下月'
      },
      isShowItem: 'props.picker === "month"',
    },
    {
      name: 'maxMonth',
      label: '最晚可选月份',
      description: '',
      type: 'number',
      value: '',
      numberProps: {
        step: 1,
        min: 0,
        unit: '月',
        before: '距当月'
      },
      isShowItem: 'props.picker === "month"',
    }
  ],
  viewEditorConfig: {
    // defaultActiveTabPane: 'style',
    disabledHeightStyle : true,
  }
};
